summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-21 17:39:54 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-23 23:21:41 -0500
commit7f0e4e4da58f04ad4ee44e454653418a56bf990d (patch)
tree17103503c367f0cd7802949a4b9d619dc3ae4acc /system
parent499e1ea3c44ff538eb0c0bca72b3c6f4aefebd90 (diff)
downloadslackbuilds-7f0e4e4da58f04ad4ee44e454653418a56bf990d.tar.gz
slackbuilds-7f0e4e4da58f04ad4ee44e454653418a56bf990d.tar.xz
Revert system/t1utils removal and update it to 1.35.
This reverts commit 48439c993cc399c84bb1e3374a3771abc55c4cb4 and updates the t1utils version to 1.35.
Diffstat (limited to 'system')
-rw-r--r--system/t1utils/README13
-rw-r--r--system/t1utils/slack-desc19
-rw-r--r--system/t1utils/t1utils.SlackBuild76
-rw-r--r--system/t1utils/t1utils.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/system/t1utils/README b/system/t1utils/README
new file mode 100644
index 0000000000..7cc7c0d64e
--- /dev/null
+++ b/system/t1utils/README
@@ -0,0 +1,13 @@
+t1utils is a collection of simple Type 1 font manipulation programs. Together,
+they allow you to convert between PFA (ASCII) and PFB (binary) formats,
+disassemble PFA or PFB files into human-readable form, and reassemble them
+into PFA or PFB format. Additionally you can extract font resources from
+a Macintosh font file (ATM/Laserwriter), or create a Macintosh Type 1 font
+file from a PFA or PFB font.
+
+* t1ascii: changes PFB (binary) fonts into PFA (ASCII) format
+* t1binary: goes the opposite direction
+* t1disasm: translates PFBs or PFAs into a human-readable and -editable format
+* t1asm: goes the opposite direction
+* t1unmac: translates a Macintosh Type 1 font into either PFB or PFA format
+* t1mac: goes the opposite direction
diff --git a/system/t1utils/slack-desc b/system/t1utils/slack-desc
new file mode 100644
index 0000000000..3155bf5741
--- /dev/null
+++ b/system/t1utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+t1utils: t1utils (Type 1 Font Utilities)
+t1utils:
+t1utils: t1utils is a collection of simple Type 1 font manipulation programs.
+t1utils: Together, they allow you to convert between PFA (ASCII) and PFB
+t1utils: (binary) formats, disassemble PFA or PFB files into human-readable
+t1utils: form, and reassemble them into PFA or PFB format. Additionally you
+t1utils: can extract font resources from a Macintosh font file
+t1utils: (ATM/Laserwriter), or create a Macintosh Type 1 font file from a
+t1utils: PFA or PFB font.
+t1utils:
+t1utils:
diff --git a/system/t1utils/t1utils.SlackBuild b/system/t1utils/t1utils.SlackBuild
new file mode 100644
index 0000000000..e6ff5e9786
--- /dev/null
+++ b/system/t1utils/t1utils.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for t1utils
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+PRGNAM=t1utils
+VERSION=${VERSION:-1.35}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-st .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/t1utils/t1utils.info b/system/t1utils/t1utils.info
new file mode 100644
index 0000000000..8a0ab3e23f
--- /dev/null
+++ b/system/t1utils/t1utils.info
@@ -0,0 +1,10 @@
+PRGNAM="t1utils"
+VERSION="1.35"
+HOMEPAGE="http://www.lcdf.org/~eddietwo/type/"
+DOWNLOAD="http://www.lcdf.org/~eddietwo/type/t1utils-1.35.tar.gz"
+MD5SUM="20e4cd3ffe81f01eff02a5e2320d95b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"